using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Com.Syncfusion.Charts;
using System.Reflection;

namespace CustomLabel
{
    public class NumericalAxisExt : NumericalAxis
    {
        protected override void GenerateVisibleLabels()
        {
            base.GenerateVisibleLabels();

            VisibleLabels.Clear();

            for (double i = VisibleRange.Start; i < VisibleRange.End; i++)
            {
                if(i == 20 || i == 40 || i == 60) // specify the label 
                    VisibleLabels.Add(new ChartAxisLabel(i, i.ToString()));
            }
        }
    }
}